HPE EVA Storage

EVA5k VCS Upgrade 3.x to 4.x and HP-UX 11.23/SP 3.0F

 
SOLVED
Go to solution
Steven Clementi
Honored Contributor

EVA5k VCS Upgrade 3.x to 4.x and HP-UX 11.23/SP 3.0F

I know this has probably been discussed before, but the search features on these forums.... well... you know. Here goes:

I have 2 EVA 5000's running VCS 3.028. On these EVA's are 2 HP-UX servers running 11.23 and Secure Path 3.0F.

MirrorDisk UX is running to replicate data from EVA1 to EVA2.

We want to upgrade the VCS to 4.100. What can we expect to have to change/fix on the HP-UX boxes?

1. Do I need to un-install Secure Path? and re-install using the Autopath option? or can I re-rerun the install script (assuming there is one) to change to AP?

2. Do the kits available on the website have the base files to install Secure Path? or only the Service Pack files? (Meaning, if I need to re-install.. I would need original media for Secure path?)

3. What other gotcha's can I expect aside from having to swap controller ports/fabrics and doing disk firmware updates?

4. Suggestions/Recommendation about replication? The customer has a CA license for these EVA's, but strayed away since at the time, it would have been a manual process to fail over to the secondary EVA. MirrorDisk UX offered them an automatic process which was easy to set up/configure. Currently, the 2 EVA's are in the same data center.


Steven

 

P.S. This thread has been moved from Storage>General to Storage Area Networks (SAN) (Enterprise). -HP Forum Moderator

Steven Clementi
HP Master ASE, Storage, Servers, and Clustering
MCSE (NT 4.0, W2K, W2K3)
VCP (ESX2, Vi3, vSphere4, vSphere5, vSphere 6.x)
RHCE
NPP3 (Nutanix Platform Professional)
9 REPLIES 9
IBaltay
Honored Contributor

Re: EVA5k VCS Upgrade 3.x to 4.x and HP-UX 11.23/SP 3.0F

Hi,
here is the VCS 4.100 release notes:
http://bizsupport.austin.hp.com/bc/docs/support/SupportManual/c01276879/c01276879.pdf

from 3.028 directly to 4.100

disk firmware bundled image:
ftp://ftp.hp.com/pub/softlib/software10/COL17475/co-61570-1/

the sp for HP-UX (3.0d, 3.0e, 3.0f) should work

data replication
business copy, continuous acces

secure path 3.0f sp 3 for hp-ux 11i v 1.0 and 11i v2.0 installation
http://h20000.www2.hp.com/bc/docs/support/SupportManual/c01403983/c01403983.pdf

secure path 3.0f sp 3 release notes:
http://h20000.www2.hp.com/bc/docs/support/SupportManual/c01403983/c01403983.pdf

only the SP patches available on the externall\fll HP links,,



the pain is one part of the reality
Uwe Zessin
Honored Contributor

Re: EVA5k VCS Upgrade 3.x to 4.x and HP-UX 11.23/SP 3.0F

1.: no, 'Secure Path for Active/Passive' arrays and 'Secure Path for Active/Active' arrays (aka. AutoPath) can be used in parallel if the version is recent enough.

If you don't need dynamic load balancing, you can even stick to basic LVM (we have a customer who did mirror between an EVA4000 and a HSG. The EVA access was using plain LVM).

2.: Honestly, I would make sure I have a full software kit to be able to do a new installation in case something goes wrong badly. Of course, as I am not involved, it is easy for me to say ;-)
But that is nothing new to you, is it?

3.: I've worked on a few upgrades and we did not encounter any problems, but it gives a great feeling to have a current backup ;-)

Make sure you have an expert around who can deal with LVM if that is not your area of expertise. If you migrate from SP to AP, the hardware paths will change, because SP does create a pseudo-adapter while AP/LVM do work with the physical paths.

4.: All of our HP-UX customers use host-based mirroring, not CA. Nobody wanted a manual failover or the additional costs for CA&the cluster extensions (CLX). Of course the distances between their computer rooms is a few hundred meters at max.
.
Rob Leadbeater
Honored Contributor

Re: EVA5k VCS Upgrade 3.x to 4.x and HP-UX 11.23/SP 3.0F

Hi Steven,

Do you have to upgrade to VCS 4.100 ??

Although VCS 3.028 is now out of support, you could upgrade to the latest Active/Passive version of VCS, 3.110 which should get things supported again, without having to change anything else...

Cheers,

Rob
Steven Clementi
Honored Contributor

Re: EVA5k VCS Upgrade 3.x to 4.x and HP-UX 11.23/SP 3.0F

The customer is looking to have all of their EVA's updated for various reasons. 2 of them have already be completed. These other 2 will be getting a couple of AIX boxes that supposedly require VCS 4.x.


Steven
Steven Clementi
HP Master ASE, Storage, Servers, and Clustering
MCSE (NT 4.0, W2K, W2K3)
VCP (ESX2, Vi3, vSphere4, vSphere5, vSphere 6.x)
RHCE
NPP3 (Nutanix Platform Professional)
Rob Leadbeater
Honored Contributor

Re: EVA5k VCS Upgrade 3.x to 4.x and HP-UX 11.23/SP 3.0F

OK. Fair point. Just wondering if there was an easier upgrade path...

Cheers,

Rob
IBaltay
Honored Contributor

Re: EVA5k VCS Upgrade 3.x to 4.x and HP-UX 11.23/SP 3.0F

Hi,
according the SPOCK, both AIX 5.2 and 5.3 are compatible with the AA 4.100.

One of the most important is the AIX maintenance level:

AIX 5.2

HP MPIO
ML04 or higher for HP MPIO 1.0.1.0

AntemetA
ML07, 08 or higher for AntemetA multipath 2.1.3.3, SP3 recommended

AIX 5.3

MPIO/VIO
ML1 or higher for HP MPIO 1.0.1.0
VIO supported on applicable servers
AIX 5.3 ML3 required on LPAR and VIO 1.2.0.0 on VIO server

AntemetA/VIO
ML1 or higher, TL04 for AntemetA multipath 2.2.3.3, SP3 recommended
AIX 5.3 ML3 required on LPAR and VIO 1.2.0.0 on VIO server

General notes:
1. MPIO and AntemetA cannot coexist on 1 host
2. CA,BC,RSM not supported for AntetmetA





the pain is one part of the reality
Steven Clementi
Honored Contributor

Re: EVA5k VCS Upgrade 3.x to 4.x and HP-UX 11.23/SP 3.0F

Ok, before I close this out... I just want to make sure I understand:


Assuming the customer does not care about load balancing, which can be done manually somewhat... they can totally remove secure path after the upgrade and not even install autopath. LVM/PVlinks is part of the OS and can be used the same way as AP.


Any other suggestions? things to look out for? (aside what has been mentioned)

Steven
Steven Clementi
HP Master ASE, Storage, Servers, and Clustering
MCSE (NT 4.0, W2K, W2K3)
VCP (ESX2, Vi3, vSphere4, vSphere5, vSphere 6.x)
RHCE
NPP3 (Nutanix Platform Professional)
Uwe Zessin
Honored Contributor
Solution

Re: EVA5k VCS Upgrade 3.x to 4.x and HP-UX 11.23/SP 3.0F

Steven,

you just add all paths of a Physical Volume using 'vgextend' no matter if you use AutoPath or not.



> Any other suggestions?

Get hold of the 'EVA Info' software. It helps you to identify the the device paths as (last tme I checked) LVM does not understand WWNs.


Choose one of the HP-UX packages:
http://h20000.www2.hp.com/bizsupport/TechSupport/DriverDownload.jsp?prodNameId=3439051〈=en&cc=us&prodTypeId=12169&prodSeriesId=471497&taskId=135
.
Steven Clementi
Honored Contributor

Re: EVA5k VCS Upgrade 3.x to 4.x and HP-UX 11.23/SP 3.0F

Thanks all. The upgrade was completed some weeks ago and all is well and as expected/stated here.


Steven
Steven Clementi
HP Master ASE, Storage, Servers, and Clustering
MCSE (NT 4.0, W2K, W2K3)
VCP (ESX2, Vi3, vSphere4, vSphere5, vSphere 6.x)
RHCE
NPP3 (Nutanix Platform Professional)